---
title: NDEFReader
slug: Web/API/NDEFReader
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>NDEFReader</code></strong> interface of the <a href="/en-US/docs/Web/API/Web_NFC_API">Web NFC API</a> is an abstract interface used to read data from compatible NFC devices, e.g. NFC tags supporting NDEF, when these devices are within the reader's magnetic induction field.</span></p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{DOMxRef("NDEFReader.NDEFReader", "NDEFReader.NDEFReader()")}} {{Experimental_Inline}}</dt>
 <dd>Returns an <code>NDEFReader</code> with configuration specified in the parameters or default ones if no parameters are specified.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>In addition to the properties listed below, <code>NDEFReader</code> inherits properties from its parent interface, {{DOMxRef("EventTarget")}}.</em></p>

<dl>
 <dt>{{DOMxRef("NDEFReader.onreading")}} {{Experimental_Inline}}</dt>
 <dd>An event handler for <code>reading</code> event, that notifies about availability of a new reading.</dd>
 <dt>{{DOMxRef("NDEFReader.onerror")}} {{Experimental_Inline}}</dt>
 <dd>An event handler for <code>error</code> event which is called to notify that an error occurred during reading.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>The <code>NDEFReader</code> interface inherits the methods of {{domxref("EventTarget")}}, its parent interface.</em></p>

<dl>
 <dt>{{DOMxRef("NDEFReader.scan", "NDEFReader.scan()")}} {{Experimental_Inline}}</dt>
 <dd>Called to activate the reader (after ensuring hardware and UA compatibility and obtaining permission from the user) or get an error explaining why feature is not available.</dd>
 <dt>{{DOMxRef("NDEFWriter.write", "NDEFWriter.write()")}} {{Experimental_Inline}}</dt>
 <dd>Called to write NDEF message to a tag (after ensuring hardware and UA compatibility and obtaining permission from the user) or get an error explaining why feature is not available.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefreader">Web NFC, NDEFReader</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFReader")}}</p>
